#1804 Add Add-in to import Dashlane password data.

KeePass
closed
nobody
Dashlane (1)
5
2013-12-20
2013-12-19
Gary H
No

Please include in KeePass, an import add-in covering the Dashlane password application. Thanks.

Related

Feature Requests: #1804

Discussion

  • Paul
    Paul
    2013-12-19

    If you can export to CSV, or any sort of plain text file, you can import into KeePass using the generic CSV import.

    cheers, Paul

     
  • Gary H
    Gary H
    2013-12-19

    Thanks - can do that.

     
  • Dominik Reichl
    Dominik Reichl
    2013-12-20

    • status: open --> closed
     
  • Dominik Reichl
    Dominik Reichl
    2013-12-20

    The field order in Dashlane CSV files isn't constant and separator characters aren't used properly (e.g. the text qualifier '"' isn't encoded when it appears in data, which creates multiple possible interpretations of the data). As the generic CSV importer expects a well-formed CSV file, its use for Dashlane CSV files is limited.

    I've now developed a specialized Dashlane CSV import module, which tries its best to interpret these CSV files in the correct way.

    Here's the latest development snapshot for testing:
    http://keepass.info/filepool/KeePass_131220.zip

    To try it, open your KeePass database, go 'File' -> 'Import' and select the new 'Dashlane CSV' format.

    Best regards,
    Dominik

     
    • Gary H
      Gary H
      2013-12-30

      The Dashlane import worked great with your converter. Thanks, again!

      On Fri, Dec 20, 2013 at 9:13 AM, Dominik Reichl dreichl@users.sf.netwrote:

      The field order in Dashlane CSV files isn't constant and separator
      characters aren't used properly (e.g. the text qualifier '"' isn't encoded
      when it appears in data, which creates multiple possible interpretations of
      the data). As the generic CSV importer expects a well-formed CSV file, its
      use for Dashlane CSV files is limited.

      I've now developed a specialized Dashlane CSV import module, which tries
      its best to interpret these CSV files in the correct way.

      Here's the latest development snapshot for testing:
      http://keepass.info/filepool/KeePass_131220.zip

      To try it, open your KeePass database, go 'File' -> 'Import' and select
      the new 'Dashlane CSV' format.

      Best regards,
      Dominik


      Status: closed
      Labels: Dashlane
      Created: Thu Dec 19, 2013 05:40 PM UTC by Gary H
      Last Updated: Thu Dec 19, 2013 09:01 PM UTC
      Owner: nobody

      Please include in KeePass, an import add-in covering the Dashlane password
      application. Thanks.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/keepass/feature-requests/1804/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #1804

      Attachments